matrix:
  platform:
  - debian10
  - ubuntu2004
  - macos
  - macos_arm64
  bazel:
  - 7.x
tasks:
  verify_targets:
    name: Verify build targets
    platform: ${{ platform }}
    bazel: ${{ bazel }}
    build_flags:
      - "--@freertos//:freertos_config=@freertos//:posix"
      - "--platforms=@freertos//:example_platform"
    build_targets:
    - '@freertos//:freertos'
